OpenVDB 12.1.0

Loading...
Searching...
No Matches
Transform.h File Reference
`#include "Maps.h"`
`#include <openvdb/Types.h>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes
class | Transform

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::math

## Functions
OPENVDB_API void | calculateBounds (const Transform &t, const Vec3d &minWS, const Vec3d &maxWS, Vec3d &minIS, Vec3d &maxIS)
| Calculate an axis-aligned bounding box in index space from an axis-aligned bounding box in world space.
OPENVDB_API std::ostream & | operator<< (std::ostream &, const Transform &)
template<typename ResolvedMapType, typename OpType>
void | doProcessTypedMap (Transform &transform, OpType &op)
| Helper function used internally by processTypedMap()
template<typename ResolvedMapType, typename OpType>
void | doProcessTypedMap (const Transform &transform, OpType &op)
| Helper function used internally by processTypedMap()
template<typename TransformType, typename OpType>
bool | processTypedMap (TransformType &transform, OpType &op)
| Utility function that, given a generic map pointer, calls a functor on the fully-resoved map.